Page MenuHomePhabricator

Create MediaWiki:Upload-description for Special:Upload
Closed, ResolvedPublic

Description

Create MediaWiki:Upload-description which will pre-fill the wpUploadDescription <textarea> in Special:Upload.


Version: unspecified
Severity: enhancement

Details

Reference
bz14116

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:09 PM
bzimport set Reference to bz14116.
Danny_B created this task.May 14 2008, 11:14 AM
brion added a comment.May 15 2008, 8:48 PM

That would probably be very annoying as a general case, as it would badly spam re-uploads.

I didn't emphasize it's meant for first upload not for re-uploads.

Closed WONTFIX per comment 1.

Since commons is using javascript to fill it, prefilling the description for first upload is a valid use case.
Commons may not benefit from it due to language issues, but other wikis would be able to.

What would the default text be? Nothing?

I suppose so. MediaWiki:upload-default-description ?

Change 78468 had a related patch set uploaded by Brian Wolff:
Add optional message to define default description for Upload

https://gerrit.wikimedia.org/r/78468

It will now be possible to edit [[MediaWiki:Upload-default-description]] to set the default text after Brian's patch gets deployed. Closing as fixed.

Change 78468 merged by jenkins-bot:
Add optional message to define default description for Upload

https://gerrit.wikimedia.org/r/78468

Gilles moved this task from Untriaged to Done on the Multimedia board.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Mar 11 2015, 12:57 PM